import {
  DeleteOutlined,
  EditOutlined,
  ShoppingOutlined,
  RightCircleFilled,
  BarChartOutlined,
  UserAddOutlined,
  FileDoneOutlined,
  PieChartFilled,
  CheckOutlined,
  WarningOutlined,
  CloseCircleFilled,
  EyeOutlined,
  DownloadOutlined,
  CloseOutlined,
  MinusCircleOutlined,
  PlusOutlined,
  UploadOutlined,
  UserOutlined,
  LockOutlined,
} from "@ant-design/icons";
import { Tooltip } from "antd";

const CustomIcon = ({
  name,
  classname,
  additionalProps,
  tooltipText = "noText",
  ...rest
}) => {
  const IconType = {
    DeleteOutlined,
    EditOutlined,
    FileDoneOutlined,
    ShoppingOutlined,
    RightCircleFilled,
    BarChartOutlined,
    UserAddOutlined,
    PieChartFilled,
    CheckOutlined,
    WarningOutlined,
    CloseCircleFilled,
    EyeOutlined,
    DownloadOutlined,
    CloseOutlined,
    MinusCircleOutlined,
    PlusOutlined,
    UploadOutlined,
    UserOutlined,
    LockOutlined,
  };

  const GenericComponent = IconType[name];
  return (
    <Tooltip title={tooltipText}>
      <GenericComponent className={classname} {...rest} />
    </Tooltip>
  );
};

export default CustomIcon;
