import { Layout, Menu } from "antd";
import { UserOutlined } from "@ant-design/icons";
import logo from "../../assets/images/logo.png";

const { Sider } = Layout;

const SideNavigation = ({ isCollapsed, navigate }) => (
  <Sider
    trigger={null}
    collapsible
    collapsed={isCollapsed}
    style={{ backgroundColor: "#fff" }}
  >
    <div className="logo" style={{ padding: 20 }}>
      <img
        src={logo}
        alt="Logo"
        style={{ width: "100%", height: "100%", objectFit: "cover" }}
      />
    </div>
    <Menu
      mode="inline"
      defaultSelectedKeys={["1"]}
      onClick={({ key }) => {
        navigate(key);
      }}
      items={[
        {
          key: "/admin",
          icon: <UserOutlined />,
          label: "Dashboard",
        },
        {
          key: "home",
          icon: <UserOutlined />,
          label: "Create Papers",
        },
        {
          key: "3",
          icon: <UserOutlined />,
          label: "Make Exam",
        },
      ]}
    />
  </Sider>
);

export default SideNavigation;
