import useSessionStorage from "./useSessionStorage";

const useAuth = () => {
  const { getItem } = useSessionStorage();
  const accessToken = getItem("access_token");
  const storageRole = getItem("ROLE");

  const getToken = () => {
    if (accessToken) {
      return accessToken;
    }
    return null;
  };

  const isAccessible = (roles) => {
    const userHasRequiredRole = !!(accessToken && roles.includes(storageRole));
    if (accessToken && !userHasRequiredRole) {
      return false;
    }
    return true;
  };

  return {
    getToken,
    isAccessible,
  };
};

export default useAuth;
