import { Layout } from "antd";
import { HeaderTop, SideNavigation } from "components";
import { useState } from "react";
import { Outlet, useNavigate } from "react-router-dom";

const { Content, Header } = Layout;

const Dashboard = () => {
  const [collapsed, setCollapsed] = useState(false);
  const navigate = useNavigate();

  return (
    <Layout style={{ minHeight: "100vh" }}>
      <SideNavigation isCollapsed={collapsed} navigate={navigate} />
      <Layout>
        <Header style={{ backgroundColor: "#fff", paddingLeft: 10 }}>
          <HeaderTop isCollapsed={collapsed} setCollapsed={setCollapsed} />
        </Header>

        <Content
          style={{
            margin: "24px 16px",
            padding: 24,
            minHeight: 280,
            background: "#fff",
          }}
        >
          <Outlet />
        </Content>
      </Layout>
    </Layout>
  );
};

export default Dashboard;
