import { Form, Input, Button, Layout, CustomIcon } from "components";
// import { UserOutlined, LockOutlined } from "@ant-design/icons";
import styles from "./login.module.css";

const { Content } = Layout;

const Login = () => {
  const onFinish = (values) => {
    console.log("Received values of form:", values);
    // Here you can add your login logic using the submitted values
  };

  return (
    <Layout>
      <Content className={styles.loginContent}>
        <div className={styles.loginForm}>
          <h1>Login</h1>
          <Form
            name="normal_login"
            initialValues={{ remember: true }}
            onFinish={onFinish}
          >
            <Form.Item
              name="email"
              rules={[
                { required: true, message: "Please input your Email!" },
                {
                  type: "email",
                  message: "Please enter a valid email address!",
                },
              ]}
            >
              <Input
                prefix={
                  // eslint-disable-next-line react/jsx-wrap-multilines
                  <CustomIcon
                    name="UserOutlined"
                    classname={styles.siteFormItemIcon}
                  />
                }
                placeholder="Email"
              />
            </Form.Item>
            <Form.Item
              name="password"
              rules={[
                { required: true, message: "Please input your Password!" },
              ]}
            >
              <Input
                prefix={
                  // eslint-disable-next-line react/jsx-wrap-multilines
                  <CustomIcon
                    name="LockOutlined"
                    classname={styles.siteFormItemIcon}
                  />
                }
                type="password"
                placeholder="Password"
              />
            </Form.Item>
            <Form.Item>
              <Button
                type="primary"
                htmlType="submit"
                className={styles.loginFormButton}
              >
                Log in
              </Button>
            </Form.Item>
          </Form>
        </div>
      </Content>
    </Layout>
  );
};

export default Login;
